﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Telerik.Windows.DragDrop;

namespace RadGridView_WPF_AR_53
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            this.DataContext = (from c in Enumerable.Range(0, 10) select new User { ID = c, UserName = "User Name " + c }).ToList();

            DragDropManager.AddDragInitializeHandler(this.GridView, OnDragInit);
            DragDropManager.AddGiveFeedbackHandler(this.GridView, OnGiveFeedback);
        }

        private void OnDragInit(object sender, DragInitializeEventArgs e)
        {
            string dataString = (this.GridView.SelectedItem as User).UserName;
            var data = DragDropPayloadManager.GeneratePayload(null);
            data.SetData("Text", dataString);
            e.Data = data;
            e.AllowedEffects = DragDropEffects.All;
            e.DragVisual = dataString;
            e.DragVisualOffset = e.RelativeStartPoint;
        }

        private void OnGiveFeedback(object sender, Telerik.Windows.DragDrop.GiveFeedbackEventArgs e)
        {
            e.SetCursor(Cursors.Arrow);
            e.Handled = true;
        }

        public class User
        {
            public int ID { get; set; }
            public string UserName { get; set; }
        }
    }
}
