﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.DragDrop;

namespace RadGridView_WPF_AR_53
{
    /// <summary>
    /// Interaction logic for Window2.xaml
    /// </summary>
    public partial class Window2 : Window
    {
        ObservableCollection<string> items = new ObservableCollection<string>();

        public Window2()
        {
            InitializeComponent();

            this.GridView.ItemsSource = this.items;

            DragDropManager.AddDropHandler(this.GridView, OnDrop);
        }

        private void OnDrop(object sender, Telerik.Windows.DragDrop.DragEventArgs e)
        {
            if (e.Effects != DragDropEffects.None)
            {
                var dataObject = e.Data as DataObject;

                if (dataObject != null && dataObject.ContainsFileDropList())
                {
                    foreach (var item in dataObject.GetFileDropList())
                    {
                        this.items.Add(item);
                    }
                }

                var data = DragDropPayloadManager.GetDataFromObject(e.Data, "Text");

                this.items.Add(data as String);
            }
        }
    }
}
